Package org.jbpm.process.audit.strategy

## Class SpringStandaloneLocalSharedEntityManagerStrategy

- java.lang.Object
- - org.jbpm.process.audit.strategy.SpringStandaloneLocalSharedEntityManagerStrategy

- All Implemented Interfaces:
    `PersistenceStrategy`

      public class SpringStandaloneLocalSharedEntityManagerStrategy
      extends Object
      implements PersistenceStrategy

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SpringStandaloneLocalSharedEntityManagerStrategy​(javax.persistence.EntityManager em)` |
    `SpringStandaloneLocalSharedEntityManagerStrategy​(javax.persistence.EntityManagerFactory emf)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `dispose()` |
    `javax.persistence.EntityManager` | `getEntityManager()` |
    `Object` | `joinTransaction​(javax.persistence.EntityManager em)` |
    `void` | `leaveTransaction​(javax.persistence.EntityManager em, Object transaction)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SpringStandaloneLocalSharedEntityManagerStrategy

          public SpringStandaloneLocalSharedEntityManagerStrategy​(javax.persistence.EntityManagerFactory emf)

    - #### SpringStandaloneLocalSharedEntityManagerStrategy

          public SpringStandaloneLocalSharedEntityManagerStrategy​(javax.persistence.EntityManager em)

  - ### Method Detail

    - #### getEntityManager

          public javax.persistence.EntityManager getEntityManager()

      Specified by:
        `getEntityManager` in interface `PersistenceStrategy`

    - #### joinTransaction

          public Object joinTransaction​(javax.persistence.EntityManager em)

      Specified by:
        `joinTransaction` in interface `PersistenceStrategy`

    - #### leaveTransaction

          public void leaveTransaction​(javax.persistence.EntityManager em,
                                       Object transaction)

      Specified by:
        `leaveTransaction` in interface `PersistenceStrategy`

    - #### dispose

          public void dispose()

      Specified by:
        `dispose` in interface `PersistenceStrategy`